%define api_version	1.0
%define major		1
%define libname		%mklibname gnomecups %{api_version} %{major}
%define develname	%mklibname gnomecups -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME library for CUPS integration
Name:		libgnomecups
Version:	0.2.3
Release:	%mkrel 5
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 0.2.2-4mdv fix cups callback for authentication (SUSE)
Patch1:		libgnomecups-0.2.2-callbackfix.patch
# (fc) 0.2.2-4mdv add dbus support (Fedora)
Patch3:		libgnomecups-0.2.3-dbus.patch
# (fc) 0.2.2-4mdv parse cups loptions (ubuntu)
Patch4:		libgnomecups-0.2.2-parse-dot-cups-loptions.patch
# (fc) 0.2.2-4mdv fix remote printer detection (ubuntu)
Patch5:		libgnomecups-0.2.2-fix-islocal.patch
# (fc) 0.2.2-4mdv don't warn on stderr for IPP_NOT_FOUND (ubuntu)
Patch6:		libgnomecups-0.2.2-ignore-ipp-not-found.patch
# (fc) 0.2.2-4mdv allow to change some cups printer attributes (ubuntu)
Patch7:		libgnomecups-0.2.2-replace-set-printer-attrs.patch
Patch8:		libgnomecups-0.2.3-fix-str-fmt.patch
# (cjw) fix glib includes
Patch9:		libgnomecups-0.2.3-glib.patch
Patch10:	libgnomecups-0.2.3-automake-1.13.patch
Patch11:	libgnomecups-0.2.3-cups-1.6.patch
BuildRequires:	cups-devel 
BuildRequires:	cups-common
BuildRequires:	glib2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	gnome-common

%description
GNOME library for CUPS integration

%package -n %{libname}
Summary:	GNOME library for CUPS integration
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}gnomecups-1.0_1 < 0.2.3-11

%description -n %{libname}
GNOME library for CUPS integration

%package -n %{develname}
Summary:	GNOME library for CUPS integration
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gnomecups-1.0-devel < 0.2.3-11

%description -n %{develname}
GNOME library for CUPS integration

%prep
%setup -q
%patch1 -p1 -b .callbackfix
%patch3 -p1 -b .dbus
%patch4 -p1 -b .parse-dot-cups-loptions
%patch5 -p1 -b .fix-is-local
%patch6 -p1 -b .ignore-ipp-not-found
%patch7 -p1 -b .replace-set-printer-attrs
%patch8 -p0 -b .str
%patch9 -p1 -b .glib
%patch10 -p1 -b .automake-1_13
%patch11 -p1 -b .cupsfix

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--with-dbus=yes

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog NEWS AUTHORS

%files -n %{libname}
%{_libdir}/%{name}-%{api_version}.so.%{major}
%{_libdir}/%{name}-%{api_version}.so.%{major}.*

%files -n %{develname}
%{_libdir}/pkgconfig/%{name}-%{api_version}.pc
%{_includedir}/%{name}-1/
%{_libdir}/%{name}-%{api_version}.so


%changelog
* Fri May 18 2018 adrianomorselli <adrianomorselli> 0.2.3-5uplos2018
- rebuild against updates
